%global optflags %{optflags} -O2

Name:		ninja
Version:	1.11.1
Release:	 %mkrel 1
Group:		Development/Other
Summary:	A small build system with a focus on speed
License:	ASL 2.0
URL:		https://ninja-build.org/
Source0:	https://github.com/ninja-build/ninja/archive/%{name}-%{version}.tar.xz
Source1: ninja.vim
Source2:	ninja.macros

BuildRequires:	asciidoc
BuildRequires:	gtest-devel
BuildRequires:	re2c
BuildRequires:	xsltproc
BuildRequires:	docbook-dtds
BuildRequires:	docbook-style-xsl

%description
Ninja is a small build system with a focus on speed. It differs from other
build systems in two major respects: it is designed to have its input files
generated by a higher-level build system, and it is designed to run builds as
fast as possible.

%prep
%autosetup -p1

%build
%set_build_flags
export LD="%{__ld}"
./configure.py --bootstrap
./ninja -v manual
./ninja -v ninja_test


%install
# TODO: Install ninja_syntax.py?
install -p -m 755 -d %{buildroot}%{_bindir}
install -p -m 755 ninja %{buildroot}%{_bindir}/

install -p -m 755 -d %{buildroot}%{_sysconfdir}/bash_completion.d
install -p -m 644 misc/bash-completion %{buildroot}%{_sysconfdir}/bash_completion.d/ninja-bash-completion

install -p -m 755 -d %{buildroot}%{_datadir}/emacs/site-lisp
install -p -m 644 misc/ninja-mode.el %{buildroot}%{_datadir}/emacs/site-lisp/ninja-mode.el

install -p -m 755 -d %{buildroot}%{_datadir}/vim/vimfiles/syntax
install -p -m 644 misc/ninja.vim %{buildroot}%{_datadir}/vim/vimfiles/syntax/ninja.vim
install -p -m 755 -d %{buildroot}%{_datadir}/vim/vimfiles/ftdetect
install -p -m 644 %{SOURCE1} %{buildroot}%{_datadir}/vim/vimfiles/ftdetect/ninja.vim

install -p -m 755 -d %{buildroot}%{_datadir}/zsh/site-functions
install -p -m 644 misc/zsh-completion %{buildroot}%{_datadir}/zsh/site-functions/_ninja

install -c -m 644 -D %{SOURCE2} %{buildroot}/%{_sysconfdir}/rpm/macros.d/ninja.macros

%files
%{_bindir}/ninja
%{_sysconfdir}/bash_completion.d/
%{_sysconfdir}/rpm/macros.d/ninja.macros
%{_datadir}/emacs/site-lisp/ninja-mode.el
%{_datadir}/vim/vimfiles/syntax/ninja.vim
%{_datadir}/vim/vimfiles/ftdetect/ninja.vim
%{_datadir}/zsh/

%changelog
* Sun Feb 25 2024 tex - 1.11.1-1pclos2024
- new version
